summaryrefslogtreecommitdiff
path: root/test/panicsel-c.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/panicsel-c.sh')
-rwxr-xr-xtest/panicsel-c.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/panicsel-c.sh b/test/panicsel-c.sh
new file mode 100755
index 0000000..c668be8
--- /dev/null
+++ b/test/panicsel-c.sh
@@ -0,0 +1,19 @@
+# ABAT test for panicsel component utilities
+# tag: rh71__build
+# util=/usr/share/panicsel/showsel
+util=/usr/sbin/isel
+echo "panicsel component, basic acceptance test"
+if [ ! -f $util ]
+then
+ echo "%%FAILURE%%"
+ exit 1
+fi
+$util >/dev/null 2>&1
+if [ $? -eq 0 ]
+then
+ echo "%%SUCCESS%%"
+ exit 0
+else
+ echo "%%FAILURE%%"
+ exit 1
+fi